### Class

# GdkPixbuf.PixbufAnimation

#### Description [src]

    class GdkPixbuf.PixbufAnimation : GObject.Object {
      parent_instance: GObject
    }

An opaque object representing an animation.

The GdkPixBuf library provides a simple mechanism to load and represent animations. An animation is conceptually a series of frames to be displayed over time.

The animation may not be represented as a series of frames internally; for example, it may be stored as a sprite and instructions for moving the sprite around a background.

To display an animation you don’t need to understand its representation, however; you just ask `GdkPixbuf` what should be displayed at a given point in time.

#### Ancestors

- GObject

#### Constructors

###### gdk_pixbuf_animation_new_from_file

Creates a new animation by loading it from a file.

###### gdk_pixbuf_animation_new_from_resource

Creates a new pixbuf animation by loading an image from an resource.

###### gdk_pixbuf_animation_new_from_stream

Creates a new animation by loading it from an input stream.

###### gdk_pixbuf_animation_new_from_stream_finish

Finishes an asynchronous pixbuf animation creation operation started with `gdk_pixbuf_animation_new_from_stream_async()`.

#### Instance methods

###### gdk_pixbuf_animation_get_height

Queries the height of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_get_iter

Get an iterator for displaying an animation.

###### gdk_pixbuf_animation_get_static_image

Retrieves a static image for the animation.

###### gdk_pixbuf_animation_get_width

Queries the width of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_is_static_image

Checks whether the animation is a static image.

###### gdk_pixbuf_animation_ref

Adds a reference to an animation.

Deprecated since: 2.0

###### gdk_pixbuf_animation_unref

Removes a reference from an animation.

Deprecated since: 2.0

#### Class structure

    struct GdkPixbufPixbufAnimationClass {
      GObjectClass parent_class;
      gboolean (* is_static_image) (
        GdkPixbufAnimation* animation
      );
      GdkPixbuf* (* get_static_image) (
        GdkPixbufAnimation* animation
      );
      void (* get_size) (
        GdkPixbufAnimation* animation,
        int* width,
        int* height
      );
      GdkPixbufAnimationIter* (* get_iter) (
        GdkPixbufAnimation* animation,
        const GTimeVal* start_time
      );

    }

###### Class members

`parent_class` |
    GObjectClass
| the parent class
`is_static_image` |
    gboolean (* is_static_image) (
        GdkPixbufAnimation* animation
      )
| No description available.
`get_static_image` |
    GdkPixbuf* (* get_static_image) (
        GdkPixbufAnimation* animation
      )
| No description available.
`get_size` |
    void (* get_size) (
        GdkPixbufAnimation* animation,
        int* width,
        int* height
      )
| No description available.
`get_iter` |
    GdkPixbufAnimationIter* (* get_iter) (
        GdkPixbufAnimation* animation,
        const GTimeVal* start_time
      )
| No description available.

#### Virtual methods

###### GdkPixbuf.PixbufAnimationClass.get_iter

Get an iterator for displaying an animation.

###### GdkPixbuf.PixbufAnimationClass.get_size

No description available.

###### GdkPixbuf.PixbufAnimationClass.get_static_image

Retrieves a static image for the animation.

###### GdkPixbuf.PixbufAnimationClass.is_static_image

Checks whether the animation is a static image.

#### Functions

###### gdk_pixbuf_animation_new_from_stream_async

Creates a new animation by asynchronously loading an image from an input stream.